Bug 1305017 - [abrt] volumeicon: asound_set_volume(): volumeicon killed by SIGABRT
[abrt] volumeicon: asound_set_volume(): volumeicon killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: volumeicon (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9c2c04cdf7f321138da0768745b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 05:41 EST by jwebb75
Modified: 2016-12-20 13:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:27:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.00 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: core_backtrace (8.01 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: dso_list (9.78 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: environ (2.16 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: maps (78.14 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: mountinfo (3.87 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: open_fds (970 bytes, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details
File: var_log_messages (310 bytes, text/plain)
2016-02-05 05:41 EST, jwebb75
no flags Details

  None (edit)
Description jwebb75 2016-02-05 05:41:13 EST
Description of problem:
I just attempted to adjust the volume when the program decided to crash

Version-Release number of selected component:
volumeicon-0.4.6-7.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        volumeicon
crash_function: asound_set_volume
executable:     /usr/bin/volumeicon
global_pid:     2390
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 asound_set_volume at alsa_backend.c:209
 #5 status_icon_on_button_release at volumeicon.c:577
 #6 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #11 gtk_status_icon_button_release at gtkstatusicon.c:1816
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #17 gtk_widget_event_internal at gtkwidget.c:5017
 #18 gtk_widget_event at gtkwidget.c:4814
 #19 gtk_propagate_event at gtkmain.c:2501
 #20 gtk_main_do_event at gtkmain.c:1696
 #26 gtk_main at gtkmain.c:1268

Potential duplicate: bug 1252994
Comment 1 jwebb75 2016-02-05 05:41:17 EST
Created attachment 1121337 [details]
File: backtrace
Comment 2 jwebb75 2016-02-05 05:41:17 EST
Created attachment 1121338 [details]
File: cgroup
Comment 3 jwebb75 2016-02-05 05:41:19 EST
Created attachment 1121339 [details]
File: core_backtrace
Comment 4 jwebb75 2016-02-05 05:41:20 EST
Created attachment 1121340 [details]
File: dso_list
Comment 5 jwebb75 2016-02-05 05:41:21 EST
Created attachment 1121341 [details]
File: environ
Comment 6 jwebb75 2016-02-05 05:41:21 EST
Created attachment 1121342 [details]
File: limits
Comment 7 jwebb75 2016-02-05 05:41:24 EST
Created attachment 1121343 [details]
File: maps
Comment 8 jwebb75 2016-02-05 05:41:25 EST
Created attachment 1121344 [details]
File: mountinfo
Comment 9 jwebb75 2016-02-05 05:41:26 EST
Created attachment 1121345 [details]
File: namespaces
Comment 10 jwebb75 2016-02-05 05:41:26 EST
Created attachment 1121346 [details]
File: open_fds
Comment 11 jwebb75 2016-02-05 05:41:27 EST
Created attachment 1121347 [details]
File: proc_pid_status
Comment 12 jwebb75 2016-02-05 05:41:28 EST
Created attachment 1121348 [details]
File: var_log_messages
Comment 13 Kerry 2016-07-22 01:18:31 EDT
Similar problem has been detected:

Started x-windows session. Clicked icon on desktop. Icon disappeared.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        volumeicon
crash_function: asound_set_volume
executable:     /usr/bin/volumeicon
global_pid:     2763
kernel:         4.5.7-202.fc23.x86_64
package:        volumeicon-0.4.6-7.fc23
reason:         volumeicon killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Kerry 2016-07-22 01:23:49 EDT
I assume this is the same bug as https://bugzilla.redhat.com/show_bug.cgi?id=991765
which has been crashing for me since at least FC19.
Comment 15 Fedora End Of Life 2016-11-24 10:24:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:27:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.